Bug 137414 - VERTICAL toolbars do NOT use background of internal preinstalled theme
Summary: VERTICAL toolbars do NOT use background of internal preinstalled theme
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: LibreOffice-Themes
  Show dependency treegraph
 
Reported: 2020-10-12 09:23 UTC by scorpiosoft
Modified: 2020-10-14 08:04 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description scorpiosoft 2020-10-12 09:23:23 UTC
Description:
When is set preinstalled theme toolbars which are docked left or right (i.e., are VERTICAL) do NOT use color from chosen theme.

Steps to Reproduce:
1. Set internal preinstalled theme from menu "Tools->Options", item "LibreOffice->Personalization" (gray in my case) - Standard toolbar became gray.
2. Drag and dock Standard toolbar to the left border of application window.

Actual Results:
Standard toolbar returns its default color.

Expected Results:
3. Standard toolbar must use color, defined in preinstalled theme (gray in may case).


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.0.2.2 (x64)
Build ID: 8349ace3c3162073abd90d81fd06dcfb6b36b994
CPU threads: 8; OS: Windows 10.0 Build 19041; UI render: Skia/Vulkan; VCL: win
Locale: bg-BG (bg_BG); UI: en-US
Calc: threaded
Comment 1 V Stuart Foote 2020-10-12 17:51:33 UTC

*** This bug has been marked as a duplicate of bug 118320 ***
Comment 2 scorpiosoft 2020-10-13 11:26:11 UTC
I don't thing above bug has any relation to dark mode of Windows (as it was marked as request for dark mode support).

Read bug description more carefully, please - it is for BUILT-IN themes of LibreOffice.
Comment 3 V Stuart Foote 2020-10-13 16:13:28 UTC
OK, why a picture is worth a thousand words...

Confirmed 

Version: 7.1.0.0.alpha0+ (x64)
Build ID: fca525d570f4fada3db1a9bbee2e88a5a02839d9
CPU threads: 4; OS: Windows 10.0 Build 19041; UI render: Skia/Vulkan; VCL: win
Locale: en-US (en_US); UI: en-US
Calc: threaded

Simple STR.

Open Draw.
Tools -> Options -> Personalization, select a 'Preinstalled' theme
Note Drawing toolbar docked Left and vertical has no theme color applied
Unlock Drawing toolbar
Undock Drawing toolbar, and drag attach to horizontal position (Bottom or Top)
Same Drawing toolbar now takes the 'Preinstalled Theme' background color.

Of course IIRC this 'theming' is held over from abandoned Firefox Personas work. Looking at the personalization.cxx and content of gallery/personas has only ever been applied to the 'Header' and 'Footer', i.e. the main menu and the docked horizontal toolbars. It has never affected more UI components and certainly does not respond to full os/DE provided theming.

Might be helpful to apply to toolbars when docked to vertical position, but hardly seems worth dev effort.
Comment 4 Heiko Tietze 2020-10-14 08:04:22 UTC
True, has not been reported yet.